﻿@model Seventy.ViewModel.EDU.CourseCategoryViewModel
@using hc= Seventy.Web.Areas.Edu.Home.HomeController
@{
    Layout = "~/Areas/Edu/Shared/_Layout.cshtml";
}
@section Styles{
    <link rel="stylesheet" type="text/css" href="/app-assets/vendors/css/tables/datatable/datatables.min.css">
}

<section>
    @if (ViewBag.success != null)
    {
        <p class="alert-success p-2 col-12">@ViewBag.success</p>
    }
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">دسته بندی دوره ها</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                        </ul>
                    </div>
                </div>

                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
                        <p class="card-text">برای ساخت یا ویرایش دسته بندی جدید گزینه های پایین را پر نمایید</p>
                        <form asp-area="Edu" asp-controller="Home" asp-action="CourseCategory" method="post">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="col-md-3 label-control" asp-for="PrimaryCat">@Html.DisplayNameFor(q => q.PrimaryCat)</label>
                                        <span asp-validation-for="PrimaryCat" class="danger"></span>
                                        <div class="col-md-9">
                                            <select asp-for="PrimaryCat" class="form-control  basic" placeholder="@Html.DisplayNameFor(q=>q.PrimaryCat)">
                                                <option>هفتاد زندگی</option>
                                                <option>هفتاد کسب و کار</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="col-md-3 label-control" asp-for="SecondaryCat">@Html.DisplayNameFor(q => q.SecondaryCat)</label>
                                        <span asp-validation-for="SecondaryCat" class="danger"></span>
                                        <div class="col-md-9">
                                            <input class="form-control round" asp-for="SecondaryCat" placeholder="@Html.DisplayNameFor(q=>q.SecondaryCat)" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="col-md-3 label-control" asp-for="Description">@Html.DisplayNameFor(q => q.Description)</label>
                                        <span asp-validation-for="Description" class="danger"></span>
                                        <div class="col-md-9">
                                            <textarea rows="5" class="form-control round" asp-for="Description" placeholder="@Html.DisplayNameFor(q=>q.Description)"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <div class="col-sm-10 offset-3">
                                            <button type="submit" class="btn btn-primary">ثبت</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" asp-for="ID" value="@ViewBag.ID" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section id="configuration">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">لیست دسته بندی های ثبت شده</h4>
                    <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                    <div class="heading-elements">
                        <ul class="list-inline mb-0">
                            <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                            <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                            <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                            <li><a data-action="close"><i class="ft-x"></i></a></li>
                        </ul>
                    </div>
                </div>
                <div class="card-content collapse show">
                    <div class="card-body card-dashboard">
                        <p class="card-text">شما میتوانید از جدول زیر اقدام به ویرایش یا حذف اطلاعات کنید</p>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered zero-configuration">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>@Html.DisplayNameFor(q => q.PrimaryCat)</th>
                                        <th>@Html.DisplayNameFor(q => q.SecondaryCat)</th>
                                        <th>@Html.DisplayNameFor(q => q.Description)</th>
                                        <th>عملیات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>#</th>
                                        <th>@Html.DisplayNameFor(q => q.PrimaryCat)</th>
                                        <th>@Html.DisplayNameFor(q => q.SecondaryCat)</th>
                                        <th>@Html.DisplayNameFor(q => q.Description)</th>
                                        <td>عملیات</td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <nav class="mb-3" aria-label="Page navigation">
                            <ul class="pagination">
                                <li class="page-item">
                                    <a class="page-link" href="javascript:void(0)" onclick="PrevPage()" aria-label="Previous">
                                        <span aria-hidden="true">« قبلی</span>
                                        <span class="sr-only">قبلی</span>
                                    </a>
                                </li>
                                <div id="pages" class="d-flex">
                                    <li class="page-item">
                                        <a class="page-link" href="javascript:void(0)" onclick="LoadPage(1)">1<span class="spinner-border spinner-border-sm hidden" role="status" aria-hidden="true" id="PageBtn_1"></span></a>
                                    </li>
                                </div>
                                <li class="page-item">
                                    <a class="page-link" href="javascript:void(0)" onclick="NextPage()" aria-label="Next">
                                        <span aria-hidden="true">بعدی »</span>
                                        <span class="sr-only">بعدی</span>
                                    </a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts{
   
    @*DataTbl*@
    <script src="/app-assets/vendors/js/tables/datatable/datatables.min.js" type="text/javascript"></script>
    <script>
        /* Pageination */
        var tbl;
        var currentPage = 1;
        var total = 1;
        function LoadPage(id) {
            currentPage = id;
            getPageItems();
        }
        function NextPage() {
            if (currentPage < total) {
                currentPage += 1;
                getPageItems();
            }
        }
        function PrevPage() {
            if (currentPage > 1) {
                currentPage -= 1;
                getPageItems();
            }
        }

        function getPageItems() {
            var p = $("#PageBtn_" + currentPage);
            p.removeClass("hidden");
            tbl.clear().draw();
            $.ajax({
                type: "POST",
                url: "/Edu/getAllCourseCategory",
                data: {
                    PageNo: currentPage,
                },
                success: function (data) {
                    if (data.includes("_|_")) {
                        var spl = data.split("_%_");
                        var totalPage = spl[0];
                        total = parseInt(totalPage);
                        $("#pages").html(LoadPageNumbers(totalPage));
                        var spl = spl[1].split("_$_");
                        jQuery.each(spl, function (i, val) {
                            var sub = val.split('_|_');
                            if (sub[0] != '') {
                                var row = tbl.row.add([
                                    sub[0],
                                    sub[1],
                                    sub[2],
                                    sub[3],
                                    '<button type="button" class="btn-sm btn-warning" onclick="Edit(' + sub[0] + ')">ویرایش</button>  ' +
                                    '<button type="button" class="btn-sm btn-danger" onclick="Delete(' + sub[0] + ')">حذف</button>'
                                ]);
                                row.node().id = 'Row_' + sub[0];

                                tbl.draw(true);
                            }
                        });
                        p.addClass("hidden");
                    }
                    else {
                        p.addClass("hidden");
                    }
                }, error: function (data) {
                    swal("خطا", data.statusText, "error");
                    p.addClass("hidden");
                }
            });
        }
        function LoadPageNumbers(totalPage) {
            var res = "";
            var added = 0;
            var cur = currentPage - 2;
            for (var i = cur; i <= totalPage; i++) {
                if (i >= 1) {
                    res += '<li class="page-item"><a class="page-link" href="javascript:void(0)" onclick="LoadPage(' + i + ')">' + i + '<span class="spinner-border spinner-border-sm hidden" role="status" aria-hidden="true" id="PageBtn_' + i + '"></span></a></li>';
                    added += 1;
                }
                if (added >= 7) {
                    break;
                }
            }
            return res;
        }
        $(document).ready(function () {
            tbl = $('.zero-configuration').DataTable({
                "paging": false,
                "processing": true,
            });
            getPageItems();
        });

        function Edit(id) {
            swal({
                title: 'جهت ویرایش این اطلاعات مطمئن هستید؟',
                text: 'شما نمی توانید این را برگردانید!',
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ، آن را ویرایش میکنم!',
                cancelButtonText: 'منصرف شدم',
            }).then((result) => {
                if (result.value) {
                    doEdit(id);
                }
            });
        }
        function doEdit(id) {
            document.location.href = "/Edu/CourseCategory?id=" + id;
        }
        function Delete(id) {
            swal({
                title: 'جهت حذف این اطلاعات مطمئن هستید؟',
                text: 'شما نمی توانید این را برگردانید!',
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ، آن را حذف میکنم!',
                cancelButtonText: 'منصرف شدم',
            }).then((result) => {
                if (result.value) {
                    doDelete(id);
                }
            });
        }
        function doDelete(id) {
            $.ajax({
                type: "POST",
                url: "/Edu/RemoveCourseCategory",
                data: {
                    EntityID: id,
                },
                success: function (data) {
                    if (data == "done")
                    {
                        $("#Row_" + id).remove();
                        swal("انجام شد", data.statusText, "success");
                    }
                    else
                    {
                        swal("خطا", data.statusText, "error");
                    }
                }, error: function (data) {
                    swal("خطا", data.statusText, "error");
                }
            });
        }
    </script>
}